package com.ruoyi.app.domain;

import java.util.Date;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 app_goods
 *
 * @author ruoyi
 * @date 2025-01-15
 */
public class AppGoods extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;
    /**
     * 物料编码
     */
    @Excel(name = "物料编码")
    private String goodsId;

    /**
     * 物料名称/描述
     */
    @Excel(name = "物料描述")
    private String goodsName;

    /**
     * 单位
     */
    @Excel(name = "计量单位")
    private String goodsUnit;

    /**
     * 物料类别
     */
    @Excel(name = "物料类别")
    private String goodsType;

    /**
     * 通用容器类型
     */
    @Excel(name = "通用容器类型")
    private String normalVehicleType;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String remark;

    /**
     * 物料状态 0 启用 1 禁用
     */
    @Excel(name = "状态")
    private Long goodsStatus;

    /**
     * 最近更新用户
     */
//    @Excel(name = "最近更新用户")
    private String lastUpdateUser;

    /**
     * 最近更新时间
     */
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "最近更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(String goodsId) {
        this.goodsId = goodsId;
    }

    public void setGoodsName(String goodsName) {
        this.goodsName = goodsName;
    }

    public String getGoodsName() {
        return goodsName;
    }

    public void setGoodsUnit(String goodsUnit) {
        this.goodsUnit = goodsUnit;
    }

    public String getGoodsUnit() {
        return goodsUnit;
    }

    public void setGoodsType(String goodsType) {
        this.goodsType = goodsType;
    }

    public String getGoodsType() {
        return goodsType;
    }

    public void setNormalVehicleType(String normalVehicleType) {
        this.normalVehicleType = normalVehicleType;
    }

    public String getNormalVehicleType() {
        return normalVehicleType;
    }

    public void setGoodsStatus(Long goodsStatus) {
        this.goodsStatus = goodsStatus;
    }

    public Long getGoodsStatus() {
        return goodsStatus;
    }

    public void setLastUpdateUser(String lastUpdateUser) {
        this.lastUpdateUser = lastUpdateUser;
    }

    public String getLastUpdateUser() {
        return lastUpdateUser;
    }

    public void setLastUpdateTime(Date lastUpdateTime) {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime() {
        return lastUpdateTime;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("goodsId", getGoodsId())
                .append("goodsName", getGoodsName())
                .append("goodsUnit", getGoodsUnit())
                .append("goodsType", getGoodsType())
                .append("normalVehicleType", getNormalVehicleType())
                .append("goodsStatus", getGoodsStatus())
                .append("remark", getRemark())
                .append("lastUpdateUser", getLastUpdateUser())
                .append("lastUpdateTime", getLastUpdateTime())
                .toString();
    }
}
